Bug 1599015 - antlr4: python 3 runtime support
Summary: antlr4: python 3 runtime support
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: antlr4
Version: 30
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1606674 1606675 1639074
TreeView+ depends on / blocked
 
Reported: 2018-07-07 23:44 UTC by Jerry James
Modified: 2019-03-06 16:44 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Jerry James 2018-07-07 23:44:07 UTC
Description of problem:
A new version of coq has been released.  It requires the antlr4 4.7.1 python 3 runtime support package.  When you update to version 4.7.1, would you please also make a subpackage for the python 3 runtime?  Thank you.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:
N/A

Expected results:
N/A

Additional info:

Comment 1 Jerry James 2018-07-13 02:35:13 UTC
I tried to help move things along by working on the new dependencies in antlr 4.7.1.  Here are links to what I've got so far (could probably use more work), as well as the changes to the antlr4 package itself to make the python 3 runtime available.

http://jamezone.org/pleasure/software/Fedora/mojo-executor-2.3.0-1.fc29.src.rpm
http://jamezone.org/pleasure/software/Fedora/string-template-maven-plugin-1.1-1.fc29.src.rpm
http://jamezone.org/pleasure/software/Fedora/antlr4-4.7.1-1.fc29.src.rpm

More work would have to be done to provide the other language runtimes.

Comment 2 Jan Kurik 2018-08-14 10:53:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Jerry James 2018-12-08 16:48:33 UTC
As I predicted last summer, the entire coq stack is now broken in F29.  If something is not done about this bug soon, then it will also be broken in F30, resulting in it being broken in all released versions of Fedora.  What needs to happen to get some movement here?

Comment 4 Jerry James 2019-01-26 18:07:02 UTC
Due to inactivity on this bug, I have bundled the necessary runtime with coq.  This is wrong and stupid, of course, but less wrong and stupid than continuing to let the entire coq stack stay in a broken state.  When some maintainer fixes the antlr4 package to contain the runtime, please comment on this bug and I will, with great gladness and possibly even glee, rip it out of the coq package.

Comment 5 Ben Cotton 2019-02-19 17:11:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 6 Stuart D Gathman 2019-03-06 16:44:43 UTC
As new maintainer, I'll take a crack at this.


Note You need to log in before you can comment on or make changes to this bug.